### Method

# GUsb Device get_interfaces

since: 0.2.8

#### Declaration

    GPtrArray*
    g_usb_device_get_interfaces (
      GUsbDevice* self
      GError** error
    )

#### Description

Gets all the interfaces exported by the device.

The first time this method is used the hardware is queried and then after that cached results are returned. To invalidate the caches use g_usb_device_invalidate().

Available since: 0.2.8

#### Return value

Type: An array of `GUsbInterface*`

An array of interfaces or `NULL` for error.

The caller of the method takes ownership of the returned data container, but not the data inside it.